LLVM: lldb::SBExpressionOptions Class Reference
Description: C++ source code API documentation for LLDB.
Keywords: LLDB,C++,doxygen,API,documentation

LLDB API Documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Members

Public Member Functions | Protected Member Functions | Friends | List of all members
lldb::SBExpressionOptions Class Reference

`#include <SBExpressionOptions.h>`

## Public Member Functions
| SBExpressionOptions ()
| SBExpressionOptions (const lldb::SBExpressionOptions &rhs)
| ~SBExpressionOptions ()
const SBExpressionOptions & | operator= (const lldb::SBExpressionOptions &rhs)
bool | GetCoerceResultToId () const
void | SetCoerceResultToId (bool coerce=true)
bool | GetUnwindOnError () const
void | SetUnwindOnError (bool unwind=true)
bool | GetIgnoreBreakpoints () const
void | SetIgnoreBreakpoints (bool ignore=true)
lldb::DynamicValueType | GetFetchDynamicValue () const
void | SetFetchDynamicValue (lldb::DynamicValueType dynamic=lldb::eDynamicCanRunTarget)
uint32_t | GetTimeoutInMicroSeconds () const
void | SetTimeoutInMicroSeconds (uint32_t timeout=0)
bool | GetTryAllThreads () const
void | SetTryAllThreads (bool run_others=true)

## Protected Member Functions
| SBExpressionOptions (lldb_private::EvaluateExpressionOptions &expression_options)
lldb_private::EvaluateExpressionOptions * | get () const
lldb_private::EvaluateExpressionOptions & | ref () const

## Friends
class | SBFrame
class | SBValue
class | SBTarget

## Detailed Description

Definition at line 20 of file SBExpressionOptions.h.

## Constructor & Destructor Documentation

lldb::SBExpressionOptions::SBExpressionOptions | ( |  | ) |

lldb::SBExpressionOptions::SBExpressionOptions | ( | const lldb::SBExpressionOptions & | rhs | ) |

lldb::SBExpressionOptions::~SBExpressionOptions | ( |  | ) |

lldb::SBExpressionOptions::SBExpressionOptions | ( | lldb_private::EvaluateExpressionOptions & | expression_options | ) |
| protected

## Member Function Documentation

lldb_private::EvaluateExpressionOptions* lldb::SBExpressionOptions::get | ( |  | ) | const
| protected

bool lldb::SBExpressionOptions::GetCoerceResultToId | ( |  | ) | const

lldb::DynamicValueType lldb::SBExpressionOptions::GetFetchDynamicValue | ( |  | ) | const

bool lldb::SBExpressionOptions::GetIgnoreBreakpoints | ( |  | ) | const

uint32_t lldb::SBExpressionOptions::GetTimeoutInMicroSeconds | ( |  | ) | const

bool lldb::SBExpressionOptions::GetTryAllThreads | ( |  | ) | const

bool lldb::SBExpressionOptions::GetUnwindOnError | ( |  | ) | const

const SBExpressionOptions& lldb::SBExpressionOptions::operator= | ( | const lldb::SBExpressionOptions & | rhs | ) |

lldb_private::EvaluateExpressionOptions& lldb::SBExpressionOptions::ref | ( |  | ) | const
| protected

void lldb::SBExpressionOptions::SetCoerceResultToId | ( | bool | coerce = `true` | ) |

void lldb::SBExpressionOptions::SetFetchDynamicValue | ( | lldb::DynamicValueType | dynamic = `lldb::eDynamicCanRunTarget` | ) |

void lldb::SBExpressionOptions::SetIgnoreBreakpoints | ( | bool | ignore = `true` | ) |

void lldb::SBExpressionOptions::SetTimeoutInMicroSeconds | ( | uint32_t | timeout = `0` | ) |

void lldb::SBExpressionOptions::SetTryAllThreads | ( | bool | run_others = `true` | ) |

void lldb::SBExpressionOptions::SetUnwindOnError | ( | bool | unwind = `true` | ) |

## Friends And Related Function Documentation

friend class SBFrame
| friend

Definition at line 78 of file SBExpressionOptions.h.

friend class SBTarget
| friend

Definition at line 80 of file SBExpressionOptions.h.

friend class SBValue
| friend

Definition at line 79 of file SBExpressionOptions.h.

The documentation for this class was generated from the following file:

- SBExpressionOptions.h